<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Dashboard</title>

    <link rel="stylesheet" href="lib/bootstrap.min.css">
    <script src="lib/jquery.min.js"></script>
    <script src="lib/bootstrap.min.js"></script>
    <script type="text/javascript" src="lib/google-charts.js"></script>
    <script src="https://www.gstatic.com/firebasejs/5.7.0/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/3.1.0/firebase-database.js"></script>

    <link rel="stylesheet" href="./styles/styles.css">
</head>

<body>
    <nav class="navbar">
        <div class="container">
            <h2 id="title">Simulator Dashboard</h2>
        </div>
    </nav>
    <div id="main-container" class="container">

        <div class="card">
            <div class="row">
                <div class="col-xs-12 col-sm-6">
                    <h1 class="right-item">Lap <b id="lap" class="data-text">0</b></h1>
                </div>
                <div class="col-xs-12 col-sm-6">
                    <h1>Gear <b id="gear" class="data-text red-text">N</b></h1>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-3">
                    <div id="speed-chart" class="chart right-item"></div>
                </div>
                <div class="col-sm-3">
                    <div id="rpm-chart" class="chart"></div>
                </div>
                <div class="col-sm-3"><canvas id="forces-chart" class="right-item" width="200" height="200"></canvas></div>
                <div class="col-sm-3">
                    <div id="brake-throttle-chart" class="chart"></div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-offset-3 col-sm-6">
                    <h3>Steering</h3>
                    <br>
                    <input type="range" min="-10" max="10" value="0" class="slider" id="steering">
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <center>
                        <div class="car-draw">
                            <svg id="wheel-FL" class="f1-wheel " xmlns="http://www.w3.org/2000/svg" viewBox="0 0 500 700">
                                <path d="M424.4 567.4c0 27.5-22.5 50-50 50H135.2c-27.5 0-50-22.5-50-50V157c0-27.5 22.5-50 50-50h239.2c27.5 0 50 22.5 50 50V567.4z" />
                                <path d="M424.4 567.4c0 27.5-22.5 50-50 50H135.2c-27.5 0-50-22.5-50-50V157c0-27.5 22.5-50 50-50h239.2c27.5 0 50 22.5 50 50V567.4z"/>
                            </svg>
                            <svg id="wheel-FR" class="f1-wheel " xmlns="http://www.w3.org/2000/svg" viewBox="0 0 500 700">
                                <path d="M424.4 567.4c0 27.5-22.5 50-50 50H135.2c-27.5 0-50-22.5-50-50V157c0-27.5 22.5-50 50-50h239.2c27.5 0 50 22.5 50 50V567.4z" />
                                <path d="M424.4 567.4c0 27.5-22.5 50-50 50H135.2c-27.5 0-50-22.5-50-50V157c0-27.5 22.5-50 50-50h239.2c27.5 0 50 22.5 50 50V567.4z"/>
                            </svg>
                            <svg id="wheel-BL" class="f1-wheel " xmlns="http://www.w3.org/2000/svg" viewBox="0 0 500 700">
                                <path d="M424.4 567.4c0 27.5-22.5 50-50 50H135.2c-27.5 0-50-22.5-50-50V157c0-27.5 22.5-50 50-50h239.2c27.5 0 50 22.5 50 50V567.4z" />
                                <path d="M424.4 567.4c0 27.5-22.5 50-50 50H135.2c-27.5 0-50-22.5-50-50V157c0-27.5 22.5-50 50-50h239.2c27.5 0 50 22.5 50 50V567.4z"/>
                            </svg>
                            <svg id="wheel-BR" class="f1-wheel " xmlns="http://www.w3.org/2000/svg" viewBox="0 0 500 700">
                                <path d="M424.4 567.4c0 27.5-22.5 50-50 50H135.2c-27.5 0-50-22.5-50-50V157c0-27.5 22.5-50 50-50h239.2c27.5 0 50 22.5 50 50V567.4z" />
                                <path d="M424.4 567.4c0 27.5-22.5 50-50 50H135.2c-27.5 0-50-22.5-50-50V157c0-27.5 22.5-50 50-50h239.2c27.5 0 50 22.5 50 50V567.4z"/>
                            </svg>
                        </div>
                    </center>
                </div>
            </div>
        </div>

    </div>
    <script src="./scripts/main.js"></script>
    <script src="./scripts/firebase.js"></script>
</body>

</html>